Bug 145364 - CLVM doesn't have support for lock_gulmd
Summary: CLVM doesn't have support for lock_gulmd
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Cluster Suite
Classification: Retired
Component: lvm2-cluster (Show other bugs)
(Show other bugs)
Version: 4
Hardware: All Linux
medium
high
Target Milestone: ---
Assignee: Alasdair Kergon
QA Contact: Cluster QE
URL:
Whiteboard:
Keywords:
Depends On:
Blocks: 144795
TreeView+ depends on / blocked
 
Reported: 2005-01-17 19:35 UTC by Kiersten (Kerri) Anderson
Modified: 2010-01-12 04:02 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-01-27 17:33:42 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Kiersten (Kerri) Anderson 2005-01-17 19:35:19 UTC
Description of problem:
CLVM doesn't work with lock_gulmd in the current build.  It currently
requires a separate build with a different parameter to link with the
lock_gulm interfaces.  It also requires a patch that Mike Tilstra
submitted to work correctly.  Either both binaries, gulm and dlm, have
to be provided with the appropriate init scripts/instructions, or clvm
needs to be able to support either interface using the magma libraries.

Marking as blocker for first release.

Comment 1 Alasdair Kergon 2005-01-17 19:40:24 UTC
Fixed in cvs for next release (lvm2 2.01.00 + dm 1.01.00):
clvmd built to support both at once and automatically detect which is
in use when it is started up.

Comment 2 Alasdair Kergon 2005-01-18 15:52:37 UTC
Release done: awaiting successful beehive build.

Comment 9 Alasdair Kergon 2005-01-27 17:33:42 UTC
Believed to be fixed.


Note You need to log in before you can comment on or make changes to this bug.